from setuptools import setup
import os.path
import sys

install_requires = [
    # core dependencies
    'ldap3',
    'setuptools',
]

# Try to locate FreeRadius installation
dest_path = os.environ.get("FREERADIUS_PATH", "/etc/freeradius")
if not dest_path:
    print('ERROR. The FREERADIUS_PATH must be set indicating the location of the FREERADIUS configuration folder')
    sys.exit(1)

setup(name='abfab_idp',
      version='1.1.1',
      description='ABFAB SAML module for FreeRadius',
      author='Alejandro Perez',
      author_email='alex.perez-mendez@jisc.ac.uk',
      packages=['abfab_idp'],
      package_data={"": ["abfab_idp", "abfab_rpp", 'abfab_idp.conf.example', 'abfab_rpp.conf.example']},
      package_dir={'abfab_idp': '.'},
      install_requires=install_requires,
      data_files=[
        ('/usr/share/abfab_idp/', ['abfab_idp.conf.example', 'abfab_rpp.conf.example']),
        ('{0}/mods-available/'.format(dest_path), ['abfab_idp', 'abfab_rpp'])])
